Subject: Re: bug#68235: 29.1.90; Switching tabs stops following process output in selected window

From: Juri Linkov <[email-masked]>
Date: Thu, 18 Jan 2024 18:50:07 +0200

> What we can safely do is the following: Give 'set-window-configuration'
> a new argument, say 'keep-dead-buffer-windows'.  If non-nil,
> 'set-window-configuration' does not delete dead buffer windows but shows
> *scratch* in them.  'post-set-window-configuration-functions' would then
> pass two arguments: the respective frame and a list of four entries for
> each dead buffer window it found: The window, the buffer it previously
> showed, its window point and its window start position.  A function run
> by that hook would then be able to replace *scratch* with, for example,
> a new buffer visiting the file the previously shown buffer visited and
> also restore point and window start of that window.

This looks promising.  One thing I don't understand is how to get
the previously visited file name from this list of four entries?